import javafx.scene.paint.Color;
import javax.swing.*;

import java.awt.Event;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.math.*;
import java.util.*;

/**
* Clase Inicio2. Corresponde a la pantalla de inicio post-ingreso de nombre
*/
public class Inicio2 extends JFrame implements ActionListener{
	
/**
*  El panel que se agrega
*/
	JPanelBackground panel;
	
	JButton boton1;
	JLabel label1;
	JLabel label2;
	JLabel label3;
/**
*  Randomizador
*/	
	int rand=3;

/**
*  Atributo nombre del jugador 
*/
	String name;
/** 
* Constructor Inicio2
* @param n Nombre del jugador
*/		
	public Inicio2(String n){

	name = n;
	
	this.setTitle("Preparado");
	this.setVisible(true);
	this.setBounds(50, 50, 500, 500);
	this.setExtendedState(MAXIMIZED_BOTH);
	this.setResizable(false);
	//this.setLayout(null);
	
	
	panel = new JPanelBackground();
	panel.setLayout(null);
	panel.setBackground("steampunk.jpg");
		
	
	label1 = new JLabel();
	label2 = new JLabel();
	label3 = new JLabel();
	label1.setText("Gracias "+name+" por ayudarme, estoy seguro que aprendere mucho de ti.");
	label2.setText("Cuando te encuentres preparado pulsa el boton rojo y podras responder mis preguntas");
	label3.setText("Espero aprender mucho de ti.");
	label1.setBounds(450, 250, 2000, 100); //x,y,tamaņos(x,y)
	label2.setBounds(450, 270, 2000, 100); //x,y,tamaņos(x,y)
	label3.setBounds(450, 290, 2000, 100); //x,y,tamaņos(x,y)
	/////////boton de inicio
	boton1 = new JButton(new ImageIcon("b1.png"));
	boton1.setRolloverIcon(new ImageIcon("b2.png"));
	boton1.setBorderPainted(false);
	boton1.setBounds(600, 400, 180, 138); //x,y,tamaņos(x,y)

	
	this.add(panel); ////agrega el panel
	panel.add(boton1);
	panel.add(label1);
	panel.add(label2);
	panel.add(label3);
	
	
	this.boton1.addActionListener(this);
	
	this.setDefaultCloseOperation(this.EXIT_ON_CLOSE); ////cierra el proceso de java
	}

	///////////////////////////////////////////////////////////////////////////////////////////////////
/**
* Se realiza el evento
* @param arg0 Evento a realizar
*/	
	public void actionPerformed(ActionEvent arg0) {
	
		////////////////////////////////////////////////////////////////
		Random rnd = new Random();
		int rd =10+rnd.nextInt(rand); ///////selector de preguntas random
		
		if(arg0.getSource().equals(boton1)){
			usuario us = new usuario(0,0,0,0,name);////crea el objeto usuario que se propaga por todo el codigo
            Vocabulario p1 = new Vocabulario(rd,"preguntas1.txt");
    		ventana v = new ventana(us,0,p1.retAwnser(),p1.retP(),p1.retA1(),p1.retA2(),p1.retA3(),p1.retA4(),rand);
			this.dispose();
		}
		
	}

}